Subject: Re: bug#63523: 29.0.90; Failing to find -lgcc when running emacsclient

From: Kaushal Modi <[email-masked]>
Date: Wed, 24 May 2023 11:39:20 -0400

This issue happened to me again, but now I know what causes it.

- I was building Emacs from a terminal with gcc 9.3.0 loaded.
- I was launching emacsclient from a terminal with gcc 9.1.0 loaded.

I have libgccjit.so available for both gcc 9.1.0 and 9.3.0. But the version
mismatch gave the "gcc not found" error.

Note to self: Ensure that the gcc versions used for building and running
emacs are the exact same (incl the minor versions).

On the same note, is it possible for Emacs to give a more informative error
that says that libgcc of X.Y.Z version was not found?

--
Kaushal Modi

On Tue, May 16, 2023 at 12:10 PM Eli Zaretskii <[email-masked]> wrote:

> > From: Kaushal Modi <[email-masked]>
> > Date: Mon, 15 May 2023 14:46:48 -0400
> > Cc: [email-masked]
> >
> > I just rebuilt emacs with --bootstrap now this error is gone!
> >
> > > emacs --version
> > GNU Emacs 29.0.91
> > Development version c18f9f155f6a on emacs-29 branch; build date
> 2023-05-15.
> >
> > > emacsclient --version
> > emacsclient 29.0.91
> >
> > It looks like I landed on an intermediate commit while this issue
> existed around 05/12. But as of the
> > c18f9f155f6a commit, this issue is gone.
> >
> > Thank you for looking into this!
> >
> > This issue can be closed.
>
> Thanks, done.
>